Outlook 2007 will not install

Are you using the Zimbra Connector for BlackBerry? Post your comments and questions here.
firetoss
Posts: 6
Joined: Sat Sep 13, 2014 1:15 am

Outlook 2007 will not install

Postby firetoss » Sat May 22, 2010 11:45 pm

I'm in the middle of deploying ZCB on a new BES server, and I'm to the point of installing Outlook 2007. However, when running the install, I get an error saying Outlook 2007 cannot be installed with a newer version. I assume this is an error occurring due to Exchange MAPI and CDO being installed, as it is not support to have both installed at the same time. What is the solution to get around this error? Should I uninstall Exchange MAPI, then install Outlook CDO? Thanks in advanced for any help!


phoenix
Ambassador
Ambassador
Posts: 26618
Joined: Fri Sep 12, 2014 9:56 pm
Location: Liverpool, England

Outlook 2007 will not install

Postby phoenix » Sun May 23, 2010 12:57 am

Does the first two link fix your problem? +"bes server" +"install outlook" - Yahoo! Search Results
Regards

Bill

Rspamd: A high performance spamassassin replacement

Per ardua ad astra
firetoss
Posts: 6
Joined: Sat Sep 13, 2014 1:15 am

Outlook 2007 will not install

Postby firetoss » Sun May 23, 2010 11:18 am

So basically, if I install the Exchange MAPI and CDO, which I already have done, then I don't need to install Outlook?
I should clarify, I'm not getting an error while installing BES, that has installed just fine. I'm getting an error trying to install Outlook 2007, which Zimbra says is required, but RIM doesn't not support Outlook being installed on a BES server.
fsiegel
Zimbra Alumni
Zimbra Alumni
Posts: 1334
Joined: Fri Sep 12, 2014 10:16 pm

Outlook 2007 will not install

Postby fsiegel » Mon May 24, 2010 10:13 am

You still need to install Outlook 2007. You then need to install Service Pack 2 for it.
firetoss
Posts: 6
Joined: Sat Sep 13, 2014 1:15 am

Outlook 2007 will not install

Postby firetoss » Mon May 24, 2010 10:18 am

So how do I get around it not installing with Exchange MAPI and CDO? Is there something I'm missing to force Outlook to install? I assume the hold up is that the version of mapi32.dll that is installed by Exchange MAPI and CDO is newer than the version that Outlook wants to install.
fsiegel
Zimbra Alumni
Zimbra Alumni
Posts: 1334
Joined: Fri Sep 12, 2014 10:16 pm

Outlook 2007 will not install

Postby fsiegel » Mon May 24, 2010 2:50 pm

So the first line in that post said:
Make sure you install the ExchangemapiCDO not Exchangecdo and you will not get the note to install Outlook 2007
Did you install the correct version of Exchange MAPI CDO? (ExchangeMapiCdo.exe)?
firetoss
Posts: 6
Joined: Sat Sep 13, 2014 1:15 am

Outlook 2007 will not install

Postby firetoss » Mon May 24, 2010 3:01 pm

Yes, it is MAPI and CDO installed. But that is for just an Exchange BES set up, which should never require Outlook to be installed, as I've done many of those. However, if I'm reading the documentation right, Zimbra specifically requires Outlook to be installed, correct?
eugener
Advanced member
Advanced member
Posts: 187
Joined: Fri Sep 12, 2014 11:57 pm

Outlook 2007 will not install

Postby eugener » Wed May 26, 2010 6:47 pm

Correct. For zcb to function properly, Outlook and MAPI/CDO should coexist. Please try steps below in order to overcome error message that you mentioned in original post:
- uninstall Outlook 2007

- unistall MAPI/CDO

- uninstall any other MAPI clients(if present)

- download and install MAPI/CDO using the following link(Download details: Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1)

- install Outlook 2007
Can you please post exact text of error message in case if it will show up again? In addition, in case if machine, where you install zcb, was previously used for BES against exchange, you may consider rebuilding this machine from scratch (please see install doc for more info) as it may be another cause of this problem.
firetoss
Posts: 6
Joined: Sat Sep 13, 2014 1:15 am

Outlook 2007 will not install

Postby firetoss » Wed May 26, 2010 7:10 pm

This server is a clean install. I uninstalled MAPI, reinstalled with the link provided, tried to run Outlook 2007 install, and I get the follow error:
Setup is unable to proceed due to the following error(s):

Microsoft Office Outlook 2007 may not be installed with a newer version of Outlook.

Correct the issue(s) listed above and re-run setup.
If I uninstall MAPI/CDO then I can successfully install Outlook 2007. But after Outlook 2007 is installed, I cannot install MAPI/CDO.
I currently have a case open with Zimbra.
4313btriem
Posts: 35
Joined: Fri Sep 12, 2014 10:25 pm

Outlook 2007 will not install

Postby 4313btriem » Wed Jun 09, 2010 1:41 pm

I have the same problem. Have you found any resolution yet?
Thanks,

Brad

Return to “Zimbra Connector for Blackberry”

Who is online

Users browsing this forum: No registered users and 1 guest